{ config, lib, pkgs, ... }:

let
  cfg = config.sydnix.users.crumb.ghostty;
in {
  options.sydnix.users.crumb.ghostty.enable =
    lib.mkEnableOption "Ghostty, à la crumb";

  config = lib.mkIf cfg.enable {
    programs.ghostty.enable = true;
  };
}

